View Issue Details

IDProjectCategoryView StatusLast Update
0019368mantisbtcustom fieldspublic2015-03-15 19:58
ReporterJoAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0019368: custom field (type: float) default value not work.
Description

custom field (type: float) default value not work.

TagsNo tags attached.

Activities

Jo

Jo

2015-02-12 22:12

reporter  

atrol

atrol

2015-02-13 02:04

developer   ~0048817

Last edited: 2015-02-13 02:04

View 2 revisions

I don't have time to have a deeper look at the source at the moment.

I suspect that default values are just considered when creating issues.
Your scrennshot shows that you seem to expect that default values are also considered when updating issues.
I think it does not make sense to change automatically values when updating.

Do you agree that we can close this issue?

Jo

Jo

2015-02-13 03:20

reporter   ~0048818

Hi,

I find that the setting can work just fine at version 1.2.19.
Hope you could take a deep look at the source.
Looking forward to your reply.

Thank you.

atrol

atrol

2015-02-14 09:14

developer   ~0048826

The problem occurred only when default value was 0.
The entries in database were fine, just the display was wrong.

Related Changesets

MantisBT: master 2d133924

2015-02-14 09:09:37

atrol

Details Diff
Don't treat 0 as null when printing custom field values

Regression introduced by commit fbd654083f061fcfcc8dc7229953cc44737889fa
Fixes 0019368
mod - core/custom_field_api.php Diff File

Issue History

Date Modified Username Field Change
2015-02-12 22:12 Jo New Issue
2015-02-12 22:12 Jo File Added: 擷取選取區域_026.png
2015-02-13 02:04 atrol Status new => feedback
2015-02-13 02:04 atrol Note Added: 0048817
2015-02-13 02:04 atrol Note Edited: 0048817 View Revisions
2015-02-13 03:20 Jo Note Added: 0048818
2015-02-13 03:20 Jo Status feedback => new
2015-02-14 09:12 atrol Changeset attached => MantisBT master 2d133924
2015-02-14 09:12 atrol Assigned To => atrol
2015-02-14 09:12 atrol Status new => resolved
2015-02-14 09:12 atrol Resolution open => fixed
2015-02-14 09:12 atrol Fixed in Version => 1.3.0-beta.2
2015-02-14 09:14 atrol Target Version => 1.3.0-beta.2
2015-02-14 09:14 atrol Note Added: 0048826
2015-03-02 08:04 vitsaadmin Issue cloned: 0019454
2015-03-15 19:58 dregad Status resolved => closed